//+------------------------------------------------------------------+
//|                                                                  |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "xx"
#property link      "website"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 DeepSkyBlue
#property indicator_color2 Yellow
#property indicator_color3 Green

extern int fastATRperiod = 1;
extern int slowATRperiod = 80;
extern int slowATRmultiplier = 3;
extern int alertSleepMins = 0;


//---- buffers
double fastATR[];
double slowATR[];
double multipliedATR[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,fastATR);
	SetIndexLabel(0,"fastATR");

   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,slowATR);
   SetIndexLabel(1,"slowATR");

   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,multipliedATR);
   SetIndexLabel(2,"multipliedATR");

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
   {
     int counted_bars = IndicatorCounted();
   
     int CalculateBars = Bars - counted_bars;
   
   for(int Count = Bars; Count >= 0; Count--)
	  {
  	      fastATR[Count] = iATR(NULL,0,fastATRperiod,0);
  	      
  	      slowATR[Count] = iATR(NULL,0,slowATRperiod,0);

  	      multipliedATR[Count] = ((iATR(NULL,0,slowATRperiod,0)) * slowATRmultiplier);
  	      
	  }

//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+